/*
 * Copyright (c) 2019 Clementine Computing LLC.
 *
 * This file is part of PopuFare.
 *
 * PopuFare is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * PopuFare is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with PopuFare.  If not, see <https://www.gnu.org/licenses/>.
 *
 */

#include "touchscreen.h"

static int ts_calib_left = 0x07F;
static int ts_calib_right = 0x3BD;
static int ts_calib_top = 0x040;
static int ts_calib_bottom = 0x3AA;

void begin_touchscreen_calibration(void) {
}

void draw_touchscreen_calibration(void) {
}

int advance_touchscreen_calibration(int raw_x, int raw_y, int down) {
  return 0;
}

int translate_ts_x(unsigned rawx)
{
    int accum = (rawx - ts_calib_left);

    if(accum < 0)
        accum = 0;

    accum *= (XRES - 1);

    accum /= (ts_calib_right - ts_calib_left);

    if(accum >= XRES)
    {
        return XRES - 1;
    }

    return accum;
}

int translate_ts_y(unsigned rawy)
{
    int accum = (rawy - ts_calib_top);

    if(accum < 0)
        accum = 0;

    accum *= (YRES - 1);

    accum /= (ts_calib_bottom - ts_calib_top);

    if(accum >= YRES)
    {
        return YRES - 1;
    }

    return accum;
}


